0
SERVER:~ # cat /sys/devices/system/cpu/vulnerabilities/spectre_v2
Mitigation: Full generic retpoline, IBPB, STIBP, RSB filling - vulnerable module loaded
SERVER:~ #

The question: But how to detect, which module in lsmod (?) is vulnerable to spectre_v2? SLES 12.3.

1
SERVER:~ # awk '{module=$1; retpcheck="modinfo "module" | grep -c retpoline"; retpcheck | getline found;  close(retpcheck); if (!found) {print "VULNERABLE - No Retpoline found - "module}}' /proc/modules
VULNERABLE - No Retpoline found - mlx4_ib
VULNERABLE - No Retpoline found - mlx4_en
VULNERABLE - No Retpoline found - mlx4_core
VULNERABLE - No Retpoline found - mlx5_ib
VULNERABLE - No Retpoline found - mlx5_core
VULNERABLE - No Retpoline found - mlxfw
VULNERABLE - No Retpoline found - mlx_compat
SERVER:~ #

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.